<?php

namespace DHL;

/**
 * Class which returns the class map definition
 * @package DHL
 */
class DHLClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'PostQuotePos' => '\\DHL\\StructType\\DHLPostQuotePos',
            'PostQuotePosResponse' => '\\DHL\\StructType\\DHLPostQuotePosResponse',
            'PostQuotePos_V6' => '\\DHL\\StructType\\DHLPostQuotePos_V6',
            'PostQuotePos_V6Response' => '\\DHL\\StructType\\DHLPostQuotePos_V6Response',
            'PostQuote_RAS' => '\\DHL\\StructType\\DHLPostQuote_RAS',
            'PostQuote_RASResponse' => '\\DHL\\StructType\\DHLPostQuote_RASResponse',
            'PostQuote' => '\\DHL\\StructType\\DHLPostQuote',
            'PostQuoteResponse' => '\\DHL\\StructType\\DHLPostQuoteResponse',
            'PostCapability' => '\\DHL\\StructType\\DHLPostCapability',
            'PostCapabilityResponse' => '\\DHL\\StructType\\DHLPostCapabilityResponse',
            'PostPickup' => '\\DHL\\StructType\\DHLPostPickup',
            'PostPickupResponse' => '\\DHL\\StructType\\DHLPostPickupResponse',
            'PostPickup_v6' => '\\DHL\\StructType\\DHLPostPickup_v6',
            'PostPickup_v6Response' => '\\DHL\\StructType\\DHLPostPickup_v6Response',
            'PostShipmentWithSpecialService3C_V6' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3C_V6',
            'PostShipmentWithSpecialService3C_V6Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3C_V6Response',
            'PostShipment3C_V6' => '\\DHL\\StructType\\DHLPostShipment3C_V6',
            'PostShipment3C_V6Response' => '\\DHL\\StructType\\DHLPostShipment3C_V6Response',
            'PostShipment_V6' => '\\DHL\\StructType\\DHLPostShipment_V6',
            'PostShipment_V6Response' => '\\DHL\\StructType\\DHLPostShipment_V6Response',
            'PostShipment3CMPML_V6' => '\\DHL\\StructType\\DHLPostShipment3CMPML_V6',
            'PostShipment3CMPML_V6Response' => '\\DHL\\StructType\\DHLPostShipment3CMPML_V6Response',
            'PostTracking' => '\\DHL\\StructType\\DHLPostTracking',
            'PostTrackingResponse' => '\\DHL\\StructType\\DHLPostTrackingResponse',
            'PostTrackingReference' => '\\DHL\\StructType\\DHLPostTrackingReference',
            'PostTrackingReferenceResponse' => '\\DHL\\StructType\\DHLPostTrackingReferenceResponse',
            'PostShipmentWithSpecialService3C' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3C',
            'PostShipmentWithSpecialService3CResponse' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CResponse',
            'PostShipment' => '\\DHL\\StructType\\DHLPostShipment',
            'PostShipmentResponse' => '\\DHL\\StructType\\DHLPostShipmentResponse',
            'PostShipment3C' => '\\DHL\\StructType\\DHLPostShipment3C',
            'PostShipment3CResponse' => '\\DHL\\StructType\\DHLPostShipment3CResponse',
            'PostShipmentwithCash_V6' => '\\DHL\\StructType\\DHLPostShipmentwithCash_V6',
            'PostShipmentwithCash_V6Response' => '\\DHL\\StructType\\DHLPostShipmentwithCash_V6Response',
            'PostShipmentCSB2_V6' => '\\DHL\\StructType\\DHLPostShipmentCSB2_V6',
            'PostShipmentCSB2_V6Response' => '\\DHL\\StructType\\DHLPostShipmentCSB2_V6Response',
            'PostShipmentCashwithSpecialService_v6' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialService_v6',
            'PostShipmentCashwithSpecialService_v6Response' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialService_v6Response',
            'PostShipmentCashwithSpecialService' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialService',
            'PostShipmentCashwithSpecialServiceResponse' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialServiceResponse',
            'PostShipmentWithSpecialServiceCSB2_INS' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2_INS',
            'PostShipmentWithSpecialServiceCSB2_INSResponse' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2_INSResponse',
            'PostShipmentWithSpecialService_INS' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService_INS',
            'PostShipmentWithSpecialService_INSResponse' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService_INSResponse',
            'PostShipmentWithSpecialService3CMPML' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPML',
            'PostShipmentWithSpecialService3CMPMLResponse' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPMLResponse',
            'PostShipmentWithSpecialService3CMPML_V6' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPML_V6',
            'PostShipmentWithSpecialService3CMPML_V6Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPML_V6Response',
            'PostShipment3CMPML' => '\\DHL\\StructType\\DHLPostShipment3CMPML',
            'PostShipment3CMPMLResponse' => '\\DHL\\StructType\\DHLPostShipment3CMPMLResponse',
            'PostShipmentCSB2' => '\\DHL\\StructType\\DHLPostShipmentCSB2',
            'PostShipmentCSB2Response' => '\\DHL\\StructType\\DHLPostShipmentCSB2Response',
            'PostShipmentWithSpecialService' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService',
            'PostShipmentWithSpecialServiceResponse' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceResponse',
            'PostShipmentWithSpecialServiceCSB2' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2',
            'PostShipmentWithSpecialServiceCSB2Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2Response',
            'PostShipmentWithSpecialServiceCSB2_V6' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2_V6',
            'PostShipmentWithSpecialServiceCSB2_V6Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceCSB2_V6Response',
            'PostShipmentwithCash' => '\\DHL\\StructType\\DHLPostShipmentwithCash',
            'PostShipmentwithCashResponse' => '\\DHL\\StructType\\DHLPostShipmentwithCashResponse',
            'PostShipmentCashwithSpecialServiceCSB5_v6' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialServiceCSB5_v6',
            'PostShipmentCashwithSpecialServiceCSB5_v6Response' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialServiceCSB5_v6Response',
            'GetIndemnityClause' => '\\DHL\\StructType\\DHLGetIndemnityClause',
            'GetIndemnityClauseResponse' => '\\DHL\\StructType\\DHLGetIndemnityClauseResponse',
            'PostTracking_AllCheckpoint' => '\\DHL\\StructType\\DHLPostTracking_AllCheckpoint',
            'PostTracking_AllCheckpointResponse' => '\\DHL\\StructType\\DHLPostTracking_AllCheckpointResponse',
            'PostTrackingReference_AllCheckpoint' => '\\DHL\\StructType\\DHLPostTrackingReference_AllCheckpoint',
            'PostTrackingReference_AllCheckpointResponse' => '\\DHL\\StructType\\DHLPostTrackingReference_AllCheckpointResponse',
            'PostShipmentWithSpecialServiceSCC_V6' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceSCC_V6',
            'PostShipmentWithSpecialServiceSCC_V6Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialServiceSCC_V6Response',
            'PostShipmentCashwithSpecialServiceCSB5New_v6' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialServiceCSB5New_v6',
            'PostShipmentCashwithSpecialServiceCSB5New_v6Response' => '\\DHL\\StructType\\DHLPostShipmentCashwithSpecialServiceCSB5New_v6Response',
            'PostShipmentWithSpecialService3CMPMLNew_V6' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPMLNew_V6',
            'PostShipmentWithSpecialService3CMPMLNew_V6Response' => '\\DHL\\StructType\\DHLPostShipmentWithSpecialService3CMPMLNew_V6Response',
        );
    }
}
